resource "aws_subnet" "private_secondary" {
  depends_on = ["aws_subnet.secondary"]
  availability_zone = "${data.aws_availability_zones.available.names[1]}"
  vpc_id = "${aws_vpc.vpc.id}"
  cidr_block = "${var.secondary_private_subnet_cidr}"
  map_public_ip_on_launch = "${var.private_ip_bool}"
  tags {
    Name = "Private Secondary"
  }
}
